ProjectHelper2.MainHandler (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.helper, class: ProjectHelper2, class: MainHandler

Package org.apache.tools.ant.helper

# Class ProjectHelper2.MainHandler

java.lang.Object
org.apache.tools.ant.helper.ProjectHelper2.AntHandler
org.apache.tools.ant.helper.ProjectHelper2.MainHandler

Enclosing class:
  ProjectHelper2

    public static class ProjectHelper2.MainHandler
    extends ProjectHelper2.AntHandler

The main handler - it handles the <project> tag.

See Also:
  `ProjectHelper2.AntHandler`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MainHandler()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ProjectHelper2.AntHandler` | `onStartChild​(java.lang.String uri, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context)` | Handle the project tag

  ### Methods inherited from class org.apache.tools.ant.helper.ProjectHelper2.AntHandler

  `characters, checkNamespace, onEndChild, onEndElement, onStartElement`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MainHandler

    public MainHandler()

- ## Method Details

  - ### onStartChild

    public ProjectHelper2.AntHandler onStartChild​(java.lang.String uri, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context) throws org.xml.sax.SAXParseException
    Handle the project tag
    Overrides:
      `onStartChild` in class `ProjectHelper2.AntHandler`
    Parameters:
      `uri` - The namespace uri.
      `name` - The element tag.
      `qname` - The element qualified name.
      `attrs` - The attributes of the element.
      `context` - The current context.
    Returns:
      The project handler that handles subelements of project
    Throws:
      `org.xml.sax.SAXParseException` - if the qualified name is not "project".